<?php
/* Prevent direct access to the plugin */
if ( !defined( 'ABSPATH' ) ) {
		die( "Sorry, you are not allowed to access this page directly." );
}
add_filter( 'wpcrm_system_fields', 'wpcrm_system_contact_fields', 10, 1 );
function wpcrm_system_contact_fields( $fields ) {
	$contactFields = array(
		array(
			'name'			=> 'contact-name-prefix',
			'title'			=> WPCRM_NAME_PREFIX,
			'description'	=> '',
			'type'			=> 'selectnameprefix',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> 'wp-crm-first',
			'before'		=> '<div class="wp-crm-first wp-crm-one-half"><div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> 'dashicons dashicons-businessman wpcrm-dashicons',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-first-name',
			'title'			=> WPCRM_FIRST_NAME,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-last-name',
			'title'			=> WPCRM_LAST_NAME,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-attach-to-organization',
			'title'			=> WPCRM_ORGANIZATION,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'selectorganization',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-first wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> 'dashicons dashicons-building wpcrm-dashicons',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-role',
			'title'			=> WPCRM_ROLE,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-attach-to-organization-new',
			'title'			=> WPCRM_CREATE_ORGANIZATION,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'addorganization',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> 'wp-crm-first',
			'before'		=> '<div class="wp-crm-first wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-website',
			'title'			=> WPCRM_WEBSITE,
			'description'	=> '',
			'placeholder'	=> 'http://',
			'type'			=> 'url',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-first wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> 'dashicons dashicons-admin-links wpcrm-dashicons',
			'capability'    => WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-phone',
			'title'			=> WPCRM_PHONE,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'phone',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-first wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> 'dashicons dashicons-phone wpcrm-dashicons',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-mobile-phone',
			'title'			=> WPCRM_MOBILE_PHONE,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'phone',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div></div>',
			'icon'			=> 'dashicons dashicons-smartphone wpcrm-dashicons',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-address1',
			'title'			=> WPCRM_ADDRESS_1,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style' 		=> 'wp-crm-first',
			'before'		=> '<div class="wp-crm-one-half"><div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> 'dashicons dashicons-location wpcrm-dashicons',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-address2',
			'title'			=> WPCRM_ADDRESS_2,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style' 		=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-city',
			'title'			=> WPCRM_CITY,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-first wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-state',
			'title'			=> WPCRM_STATE,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-postal',
			'title'			=> WPCRM_POSTAL,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> '',
			'before'		=> '<div class="wp-crm-inline">',
			'after'			=> '</div>',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-country',
			'title'			=> WPCRM_COUNTRY,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'default',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> 'wp-crm-first',
			'before'		=> '',
			'after'			=> '',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-email',
			'title'			=> WPCRM_EMAIL,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'email',
			'scope'			=> array( 'wpcrm-contact' ),
			'style' 		=> 'wp-crm-first',
			'before'		=> '',
			'after'			=> '',
			'icon'			=> 'dashicons dashicons-email wpcrm-dashicons',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-fax',
			'title'			=> WPCRM_FAX,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'phone',
			'scope'			=> array( 'wpcrm-contact' ),
			'style' 		=> 'wp-crm-first',
			'before'		=> '',
			'after'			=> '</div>',
			'icon'			=> 'wpcrm-dashicons-fax',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-additional',
			'title'			=> WPCRM_ADDITIONAL,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'wysiwyg',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> 'wp-crm-first',
			'before'		=> '',
			'after'			=> '',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-dropbox',
			'title'			=> WPCRM_DROPBOX,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'dropbox',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> 'wp-crm-first',
			'before'		=> '',
			'after'			=> '',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
		array(
			'name'			=> 'contact-zendesk',
			'title'			=> WPCRM_ZENDESK_TICKETS,
			'description'	=> '',
			'placeholder'	=> '',
			'type'			=> 'zendesk',
			'scope'			=> array( 'wpcrm-contact' ),
			'style'			=> 'wp-crm-first',
			'before'		=> '',
			'after'			=> '',
			'icon'			=> '',
			'capability'	=> WPCRM_USER_ACCESS
		),
	);
	$fields = array_merge( $contactFields, $fields );
	$fields = apply_filters( 'wpcrm_system_contact_fields', $fields );
	return $fields;
}
